﻿<?xml version="1.0" encoding="utf-8" standalone="no"?>
<vehicle type="teleHandler">
    <annotation>Copyright (C) GIANTS Software GmbH, All Rights Reserved.</annotation>
    <storeData>
		<name>535-95</name>       
        <specs>
            <power>122</power>
            <maxSpeed>40</maxSpeed>
        </specs>
        <functions>
            <function>Retrouver SURFDUCK MODDING sur GOOGLE, YOUTUBE, FACEBOOK, INSTAGRAM et www.fs19modstp.com</function>
        </functions>
        <image>store.dds</image>
        <price>89000</price>
        <lifetime>600</lifetime>
        <rotation>0</rotation>
        <brand>JCB</brand>
        <category>teleLoaderVehicles</category>
        <vertexBufferMemoryUsage>1939256</vertexBufferMemoryUsage>
        <indexBufferMemoryUsage>326340</indexBufferMemoryUsage>
        <textureMemoryUsage>25690400</textureMemoryUsage>
        <instanceVertexBufferMemoryUsage>0</instanceVertexBufferMemoryUsage>
        <instanceIndexBufferMemoryUsage>0</instanceIndexBufferMemoryUsage>
    </storeData>
    <base>
        <typeDesc>$l10n_typeDesc_tractor</typeDesc>
        <filename>LIEBHERR_TL436_7.i3d</filename>
        <size width="3" length="5"/>
        <components>
            <component centerOfMass="0 0.67 -0.6" solverIterationCount="10" mass="6430" />
        </components>
        <schemaOverlay attacherJointPosition="0.5 0">
            <default name="DEFAULT_VEHICLE"/>
            <selected name="DEFAULT_VEHICLE_SELECTED"/>
        </schemaOverlay>
    </base>
	
	
   <wheels>
        <wheelConfigurations>
             <wheelConfiguration name="$l10n_configuration_valueDefault" price="0">
                <wheels autoRotateBackSpeed="2.5">
                     <wheel filename="$data/shared/wheels/trelleborg/TH400/460_70R24.xml" isLeft="true" hasTireTracks="true" hasParticles="true" >
                        <physics rotSpeed="1" restLoad="0.5" repr="axisFrontLeft"  driveNode="wheelFrontLeft"  radius="0.58" width="0.27" forcePointRatio="0.5" initialCompression="25" suspTravel="0.13" spring="14" damper="3" frictionScale="2.5" />
                        <tire tireTrackAtlasIndex="1" />
                    </wheel>
                     <wheel filename="$data/shared/wheels/trelleborg/TH400/460_70R24.xml" isLeft="false" hasTireTracks="true" hasParticles="true" >
                        <physics rotSpeed="1" restLoad="0.5" repr="axisFrontRight" driveNode="wheelFrontRight" radius="0.58" width="0.27" forcePointRatio="0.5" initialCompression="25" suspTravel="0.13" spring="14" damper="3" frictionScale="2.5" />
                        <tire tireTrackAtlasIndex="1" />
                    </wheel>
                 
					 <wheel filename="$data/shared/wheels/trelleborg/TH400/460_70R24.xml" isLeft="true" hasTireTracks="true" hasParticles="true" >
                        <physics rotSpeed="1" restLoad="0.7" repr="axisBackLeft"  driveNode="wheelBackLeft"   radius="0.58" width="0.27" forcePointRatio="0.5" initialCompression="25" suspTravel="0.14" spring="19" damper="3" frictionScale="3" />
                        <tire tireTrackAtlasIndex="1" />
                    </wheel>
                     <wheel filename="$data/shared/wheels/trelleborg/TH400/460_70R24.xml" isLeft="false" hasTireTracks="true" hasParticles="true" >
                        <physics rotSpeed="1" restLoad="0.7" repr="axisBackRight"  driveNode="wheelBackRight"  radius="0.58" width="0.27" forcePointRatio="0.5" initialCompression="25" suspTravel="0.14" spring="19" damper="3" frictionScale="3" />
                        <tire tireTrackAtlasIndex="1" />
                    </wheel>
                </wheels>
            </wheelConfiguration>
        </wheelConfigurations>

       <ackermannSteeringConfigurations>
            <ackermannSteering rotSpeed="28" rotMax="35" rotCenter="0 0" />
        </ackermannSteeringConfigurations>
		
		<rimColor>JCB_YELLOW1</rimColor>		
    </wheels>

	<crabSteering>
        <steeringMode name="action_steeringModeAllWheel" >
            <wheel index="1" offset="0" />
            <wheel index="2" offset="0" />
            <wheel index="3" offset="0" />
            <wheel index="4" offset="0" />
        </steeringMode>
        <steeringMode name="action_steeringModeFrontWheel" >
            <wheel index="1" offset="0" locked="false" />
            <wheel index="2" offset="0" locked="false" />
            <wheel index="3" offset="0" locked="true" />
            <wheel index="4" offset="0" locked="true" />
        </steeringMode>
        <steeringMode name="action_steeringModeCrabLeft" >
            <wheel index="1" offset="15" />
            <wheel index="2" offset="15" />
            <wheel index="3" offset="15" />
            <wheel index="4" offset="15" />
        </steeringMode>
        <steeringMode name="action_steeringModeCrabRight" >
            <wheel index="1" offset="-15" />
            <wheel index="2" offset="-15" />
            <wheel index="3" offset="-15" />
            <wheel index="4" offset="-15" />
        </steeringMode>
    </crabSteering>
	
    <attacherJoints>
        <attacherJoint node="0>5|0|0" jointType="trailer" lowerRotLimit="20 85 85" upperRotationOffset="0" allowsJointLimitMovement="false" canTurnOnImplement="false">
            <schema position="1 0" rotation="0" invertX="false"/>
        </attacherJoint>
        <attacherJoint node="0>9|9|0|0|0" nodeVisual="0>9|0|0|0|0" jointType="telehandler" rotLimitSpring="7500 7500 7500" rotLimitDamping="5 5 5" transLimitSpring="7500 7500 7500" transLimitDamping="5 5 5" allowsJointLimitMovement="false" allowsLowering="false">
            <schema position="0 0.4" rotation="0" invertX="true"/>
        </attacherJoint> 
		<sounds>
            <attach template="ATTACH_01" linkNode="mlt737_main_component1" />
            <hydraulic template="DEFAULT_HYDRAULIC_SOUND" linkNode="mlt737_main_component1" />
        </sounds>		
    </attacherJoints>
	
	<connectionHoses>
        <target attacherJointIndices="1" type="electric" node="electricSocket" socket="electric_metal"/>
        <target attacherJointIndices="1" type="hydraulicIn" node="hydraulicSocket01" socket="hydraulic01"/>
        <target attacherJointIndices="1" type="hydraulicOut" node="hydraulicSocket02" socket="hydraulic02"/>
    </connectionHoses>
	
    <lights>
        <states>
            <state lightTypes="0"/>
            <state lightTypes="0 1"/>
            <state lightTypes="0 1 2"/>
        </states>
       <realLights>
            <low>
				<light node="frontLightLow"       lightTypes="0" excludedLightTypes="2 3" />
                <light node="workLightBackLow"    lightTypes="1"/>
                <light node="workLightFrontLow"   lightTypes="2"/>
                <light node="highBeamLow"         lightTypes="3" />
            </low>
            <high>
                <light node="frontLightHigh"        lightTypes="0" excludedLightTypes="2 3" />
                <light node="workLightBackHigh1"    lightTypes="1"/>
                <light node="workLightFrontHigh1"   lightTypes="2"/>
				<light node="workLightFrontHigh1Bras"   lightTypes="2"/>
				<light node="0>15|4|2"   lightTypes="2"/>
                <light node="highBeamHigh"          lightTypes="3"/>
                <light node="backLightsHigh1"       lightTypes="0"/>
				<light node="backLightsHigh2"       lightTypes="0"/>
                <brakeLight node="backLightsHigh1" />
				<brakeLight node="backLightsHigh2" />
                <turnLightLeft node="turnLightLeftFront" />
                <turnLightLeft node="turnLightLeftBack" />
                <turnLightRight node="turnLightRightFront" />
                <turnLightRight node="turnLightRightBack" />
            </high>
        </realLights>
		
		 <defaultLights>
			 <defaultLight shaderNode="0>13|5|0|0" intensity="0.01" lightTypes="0"/>
			<defaultLight shaderNode="0>13|5|0|1" intensity="0.01" lightTypes="0"/>
			<defaultLight shaderNode="0>13|5|0|2" intensity="0.01" lightTypes="0"/>
			<defaultLight shaderNode="0>13|5|0|3" intensity="0.01" lightTypes="0"/>
			<defaultLight shaderNode="0>13|5|0|4" intensity="0.01" lightTypes="0"/>
			<defaultLight shaderNode="0>13|5|0|5" intensity="0.01" lightTypes="0"/>
			<defaultLight shaderNode="0>13|5|0|6" intensity="0.01" lightTypes="0"/>
            <defaultLight shaderNode="RearLightLeftStatic" lightTypes="0"/>
            <defaultLight shaderNode="RearLightRightStatic" lightTypes="0"/>
			<defaultLight shaderNode="frontlightStatic" lightTypes="0 3"/>
			<defaultLight shaderNode="frontlightStatic2" lightTypes="0 3"/>
            <defaultLight shaderNode="worklightRearStatic" lightTypes="1"/>
			<defaultLight shaderNode="worklightRearStatic2" lightTypes="1"/>
            <defaultLight shaderNode="worklightFrontStatic" lightTypes="2"/>
            <defaultLight shaderNode="worklightFrontStatic2" lightTypes="2"/>
			<defaultLight shaderNode="0>15|4|0|0|1" lightTypes="2"/>
			<defaultLight shaderNode="0>15|4|1|0|1" lightTypes="2"/>
			<defaultLight shaderNode="0>15|1|1|0" intensity="0.25" lightTypes="0"/><defaultLight shaderNode="0>15|1|1|1" intensity="0.25" lightTypes="0"/><defaultLight shaderNode="0>15|1|1|2" intensity="0.25" lightTypes="0"/><defaultLight shaderNode="0>15|1|1|3" intensity="0.25" lightTypes="0"/><defaultLight shaderNode="0>15|1|1|4" intensity="0.25" lightTypes="0"/><defaultLight shaderNode="0>15|1|1|5" intensity="0.25" lightTypes="0"/><defaultLight shaderNode="0>15|1|1|6" intensity="0.25" lightTypes="0"/><defaultLight shaderNode="0>15|1|1|7" intensity="0.25" lightTypes="0"/>
			<defaultLight shaderNode="0>13|27|8|0" intensity="0.25" lightTypes="0"/>
			<defaultLight shaderNode="0>13|27|8|1" intensity="0.25" lightTypes="0"/>
			<defaultLight shaderNode="0>13|27|8|2" intensity="0.25" lightTypes="0"/>
			<defaultLight shaderNode="0>15|1|1|8|0" intensity="0.25" lightTypes="0"/><defaultLight shaderNode="0>15|1|1|8|1" intensity="0.25" lightTypes="0"/>
			<defaultLight shaderNode="0>15|1|1|9" intensity="0.02" lightTypes="0"/>
        </defaultLights>
		
		<turnLights>
            <turnLightLeft  shaderNode="TurnlightLeftRearStatic" />   
			<turnLightRight  shaderNode="TurnlightRightRearStatic" /> 
			<turnLightLeft  shaderNode="TurnlightLeftFrontStatic" />   
			<turnLightRight  shaderNode="TurnlightRightFrontStatic" /> 
        </turnLights>
		
		 <brakeLights>
            <brakeLight shaderNode="BrakeLightLeftRearStatic" />
			<brakeLight shaderNode="BrakeLightRightRearStatic" />
        </brakeLights>
		
        <beaconLights>
            <beaconLight node="0>15|0" filename="$data/shared/assets/beaconLights/lizard/beaconLight01.xml"/>
        </beaconLights>
		
		 <reverseLights>            
			<reverseLight  shaderNode="TurnlightLeftRearStatic" />   
			<reverseLight  shaderNode="TurnlightRightRearStatic" /> 
			<reverseLight  shaderNode="TurnlightLeftFrontStatic" />   
			<reverseLight  shaderNode="TurnlightRightFrontStatic" />			
        </reverseLights>
		
		<sounds>
            <switchLight template="SWITCH_01" linkNode="0>" />
            <turnLight template="SWITCH_TURNLIGHT" linkNode="0>" />			
        </sounds>
	
    </lights>
	
    <enterable>
        <exitPoint node="0>3"/>
        <enterReferenceNode node="0>"/>
		
        <characterNode node="0>13|21|0" cameraMinDistance="1.5" spineRotation="-90 0 90">
            <target ikChain="rightFoot" targetNode="player_rightFoot"/>
            <target ikChain="leftFoot" targetNode="player_LeftFoot"/>
            <target ikChain="rightArm" targetNode="0>13|27|6"/>
            <target ikChain="leftArm" targetNode="0>4|0|0"/>
        </characterNode>
		
		<characterTargetNodeModifier node="player_rightFoot" transitionTime="0.1" >
            <state node="playerRightFootTargetGas"   referenceNode="gasPedal" />            
        </characterTargetNodeModifier>
		
		<characterTargetNodeModifier node="player_LeftFoot" transitionTime="0.1" >
            <state node="playerLeftFootTargetBrake"   referenceNode="brakePedal" />            
        </characterTargetNodeModifier>
		
        <cameras>
            <camera node="0>1|0|0" rotatable="true" rotateNode="0>1|0" limit="true" useWorldXZRotation="true" rotMinX="-1.4" rotMaxX="1" transMin="4" transMax="35">
                <raycastNode node="0>1|1"/>
                <raycastNode node="0>1|2"/>
                <raycastNode node="0>1|3"/>
            </camera>
            <camera node="0>13|21|1" rotatable="true" limit="true" rotMinX="-1.1" rotMaxX="0.4" transMin="0" transMax="0" useMirror="true" isInside="true"/>
			<camera node="0>9|0|0|7" rotatable="true" limit="true" rotMinX="-1.1" rotMaxX="0.4" transMin="0" transMax="0" useMirror="true" isInside="true"/>
        </cameras>
        <mirrors>
            <mirror node="0>11|0" prio="2"/>
            <mirror node="0>11|1" prio="1"/>
            <mirror node="0>13|29|0|0|0|0" prio="1"/>
        </mirrors>
    </enterable>
    <motorized>
		<consumerConfigurations>
            <consumerConfiguration>
                <consumer fillUnitIndex="1" usage="38"  fillType="diesel" />  <!-- usage is per hour at max load and max rpm -->
                <consumer fillUnitIndex="2" usage="3.0" fillType="def" />     <!-- usage is per hour at max load and max rpm -->
            </consumerConfiguration>
        </consumerConfigurations>
	
	
        <motorConfigurations>
            <motorConfiguration name="$l10n_configuration_valueDefault" price="0">
                <motor torqueScale="0.52" minRpm="1000" maxRpm="2200" maxForwardSpeed="43" maxBackwardSpeed="20" brakeForce="4" lowBrakeForceScale="0.22" lowBrakeForceSpeedLimit="1" rotInertia="0.0015">
                    <torque normRpm="0.45" torque="0.9"/>
                    <torque normRpm="0.5" torque="0.97"/>
                    <torque normRpm="0.59" torque="1"/>
                    <torque normRpm="0.72" torque="1"/>
                    <torque normRpm="0.86" torque="0.88"/>
                    <torque normRpm="1" torque="0.72"/>
                </motor>
                <transmission minForwardGearRatio="14.5" maxForwardGearRatio="150" minBackwardGearRatio="40" maxBackwardGearRatio="150"/>
            </motorConfiguration>
        </motorConfigurations>
        <differentialConfigurations>
            <differentialConfiguration>
                <differentials>
                    <differential torqueRatio="0.5" maxSpeedRatio="1.8" wheelIndex1="1" wheelIndex2="2" /> <!-- front left-right -->
                    <differential torqueRatio="0.5" maxSpeedRatio="1.8" wheelIndex1="3" wheelIndex2="4" /> <!-- back left-right -->
                    <differential torqueRatio="0.5" maxSpeedRatio="1.8" differentialIndex1="1" differentialIndex2="2" /> <!-- front-back -->
                </differentials>
            </differentialConfiguration>
        </differentialConfigurations>
        <exhaustEffects>
            <exhaustEffect node="0>8" filename="$data/particleSystems/shared/exhaust.i3d" minRpmColor="0.9 0.9 0.9 0.1" maxRpmColor="0.9 0.9 0.9 1" minRpmScale="0.05" maxRpmScale="0.5" xzRotationsOffset="50 0" xzRotationsForward="-50 0" xzRotationsBackward="50 0" xzRotationsLeft="0 -100" xzRotationsRight="0 100"/>
        </exhaustEffects>
        <motorStartDuration>3000</motorStartDuration>
		
		<dashboards>
            <dashboard displayType="NUMBER" valueType="speed" numbers="numbersSpeed" precision="1"/>            
        </dashboards>
		
       <sounds externalSoundFile="$data/sounds/vehicles/engine/new_holland_w190/new_holland_w190.xml" />
		
    </motorized>
	
    <drivable>
		<sounds>
            <waterSplash template="WATER_SPLASH_01" />
        </sounds>
        <steeringWheel node="0>4|0" indoorRotation="360" outdoorRotation="25"/>
		<dashboards>
            <dashboard displayType="ROT"     valueType="decelerationAxis" node="brakePedal" minRot="0 0 0" maxRot="-15 0 0" doInterpolation="true"/>
            <dashboard displayType="ROT"     valueType="accelerationAxis" node="gasPedal" minRot="0 0 0" maxRot="15 0 0" doInterpolation="true"/>
        </dashboards>
    </drivable>
	
    <cylindered>
        <movingTools>
		
			<controlGroups>            
                <controlGroup name="$l10n_Portes" />
            </controlGroups>
		
			<movingTool node="Porte">            
				<controls groupIndex="1" l10nName="Portes" axis="AXIS_FRONTLOADER_TOOL4" invertAxis="false" invertMouseAxis="true" speedFactor="0.5"/>
				 <rotation rotSpeed="40" rotAcceleration="150" rotMax="164" rotMin="-1" rotationAxis="2"/>
		    </movingTool>
			<movingTool node="VitreAR">            
				<controls groupIndex="1" l10nName="Vitre_AR" axis="AXIS_FRONTLOADER_TOOL3" invertAxis="true" invertMouseAxis="true" speedFactor="0.5"/>
				 <rotation rotSpeed="40" rotAcceleration="150" rotMax="9" rotMin="0" rotationAxis="1"/>
				 <dependentPart node="EnssembleBielleLame" />
			  	<dependentPart node="BielletteLame" />
				<dependentPart node="0>13|8|1" />	
		    </movingTool>
		
            <movingTool node="0>9|9" delayedNode="0>9|0" playSound="true">
                <controls axis="AXIS_FRONTLOADER_ARM" invertAxis="true" mouseSpeedFactor="1.2"/>
                <rotation rotSpeed="12" rotAcceleration="100" rotMax="4" rotMin="-60"/>
                <dependentMovingTool node="0>9|9|0|0" rotSpeedScale="-1"/>
                <attacherJoint jointIndices="2"/>
            </movingTool>
            <movingTool node="0>9|9|0" delayedNode="0>9|0|0" playSound="true">
                <controls axis="AXIS_FRONTLOADER_ARM2" invertAxis="false" mouseSpeedFactor="0.5"/>
                <translation transSpeed="1.3" transAcceleration="60" transMax="3" transMin="0" translationAxis="3"/>
                <attacherJoint jointIndices="2"/>
            </movingTool>
            <movingTool node="0>9|9|0|0" delayedNode="0>9|0|0|0" playSound="true">
                <controls axis="AXIS_FRONTLOADER_TOOL" invertAxis="true" mouseSpeedFactor="0.8"/>
                <rotation rotSpeed="60" rotAcceleration="200" rotMax="130" rotMin="-20"/>
                <attacherJoint jointIndices="2"/>
            </movingTool>
            <movingTool node="0>9|0">
                <dependentMovingTool node="0>9|0|0|0" rotSpeedScale="-1"/>
                <dependentPart node="0>9|1"/>
                <dependentPart node="0>9|2"/>
            </movingTool>
            <movingTool node="0>9|0|0">
                <dependentPart node="0>9|0|7"/>
            </movingTool>
            <movingTool node="0>9|0|0|0">
                <dependentPart node="0>9|0|0|1"/>
            </movingTool>
        </movingTools>
        <movingParts>
            <movingPart node="0>9|1" referencePoint="0>9|0|2" referenceFrame="0>9|0|2" playSound="true">
                <translatingPart node="0>9|1|0"/>
            </movingPart>
            <movingPart node="0>9|2" referencePoint="0>9|0|3" referenceFrame="0>9|0|3" playSound="true">
                <translatingPart node="0>9|2|0"/>
            </movingPart>
            <movingPart node="0>9|0|0|1" referencePoint="0>9|0|0|0|1" referenceFrame="0>9|0|0|0|1" playSound="true">
                <translatingPart node="0>9|0|0|1|0"/>
            </movingPart>
            <movingPart node="0>9|0|7" referenceFrame="0>9|0|0" playSound="true"/>
            <movingPart node="0>9|5|0|0" referencePoint="0>9|6|0" referenceFrame="0>9|5|0" isActiveDirty="true" limitedAxis="2">
                <dependentPart node="0>9|5|0|0|0"/>
            </movingPart>
            <movingPart node="0>9|5|0|0|0" referencePoint="0>9|6|0" referenceFrame="0>9|5|0" limitedAxis="1">
                <dependentPart node="0>9|5|0|0|0|0"/>
            </movingPart>
            <movingPart node="0>9|5|0|0|0|0" referencePoint="0>9|6|0" referenceFrame="0>9|5|0" limitedAxis="2"/>
            <movingPart node="0>9|7|0|0" referencePoint="0>9|8|0" referenceFrame="0>9|7|0" isActiveDirty="true" limitedAxis="2">
                <dependentPart node="0>9|7|0|0|0"/>
            </movingPart>
            <movingPart node="0>9|7|0|0|0" referencePoint="0>9|8|0" referenceFrame="0>9|7|0" limitedAxis="1">
                <dependentPart node="0>9|7|0|0|0|0"/>
            </movingPart>
            <movingPart node="0>9|7|0|0|0|0" referencePoint="0>9|8|0" referenceFrame="0>9|7|0" limitedAxis="2"/>
            <movingPart node="0>0|0|2" referencePoint="0>9|3|0" referenceFrame="0>" isActiveDirty="true" scaleZ="true"/>
            <movingPart node="0>0|1|2" referencePoint="0>9|3|1" referenceFrame="0>" isActiveDirty="true" scaleZ="true"/>
            <movingPart node="0>0|2|2" referencePoint="0>9|4|0" referenceFrame="0>" isActiveDirty="true" scaleZ="true"/>
            <movingPart node="0>0|3|2" referencePoint="0>9|4|1" referenceFrame="0>" isActiveDirty="true" scaleZ="true"/>
			
			<!--BielleVitreAR-->
			<movingPart node="EnssembleBielleLame" referencePoint="RefAxeSurLame" localReferencePoint="BielletteLame" referenceFrame="EnssembleBielleLame">
            <dependentPart node="VitreAR" />           
            <dependentPart node="RefAxeBiellettePourLame" />			
			</movingPart>  
			<!--BielletteVitreAR-->
			<movingPart node="BielletteLame" referencePoint="RefAxeSurLame" referenceFrame="RefAxeBiellettePourLame" limitedAxis="1">
			</movingPart>
			<!--BrasEssuiGlaceAR-->
			<movingPart node="0>13|8|1" referencePoint="0>13|30|3" referenceFrame="0>13|30|3" limitedAxis="1">
			</movingPart>
			
        </movingParts>
		
		<dashboards>
            <dashboard displayType="ROT" valueType="movingTool" node="frontloaderJoystick" rotAxis="1" minRot="-15" maxRot="15" axis="AXIS_FRONTLOADER_ARM" doInterpolation="true"/>
            <dashboard displayType="ROT" valueType="movingTool" node="frontloaderJoystick" rotAxis="3" minRot="-15" maxRot="15" axis="AXIS_FRONTLOADER_TOOL" doInterpolation="true"/>
        </dashboards>
		
        <sounds>
            <hydraulic template="DEFAULT_HYDRAULIC_SOUND" linkNode="mlt737_main_component1"/>
        </sounds>
    </cylindered>
   	
	 <suspensions>
        <suspension node="seat"              weight="150" minTranslation="-0.03 -0.05 0.0" maxTranslation="0.02 0.0 0.0" suspensionParametersX="20 4" suspensionParametersY="5 1" suspensionParametersZ="20 4" />
        <suspension useCharacterTorso="true" weight="90" minRotation="0 -5 -5" maxRotation="0 5 5" suspensionParametersY="7 1" suspensionParametersZ="7 1" />
    </suspensions>
	
	 <animations>
        <animation name="wiperFrontAnimation">
            <part node="0>13|32|0"         startTime="0" endTime="1" startRot="-14.6 0 0" endRot="-14.6 0 57" /> 
			<part node="0>13|32|0|0|0"   startTime="0" endTime="1" startRot="0.631 0 -33.606" endRot="-2 0 -33.606" /> 
			<part node="0>13|32|1"     	  startTime="0" endTime="1" startRot="0 10 90" endRot="0 10 147" /> 
			<part node="0>13|32|1|0|0"   	startTime="0" endTime="1" startRot="0 0 -32.559" endRot="-2 0 -32.559" /> 
			<part node="0>13|32|1|0|0|1"   	startTime="0" endTime="1" startRot="-18.789 0 0" endRot="-29.027 -0.835 -58.573" />
			<part node="0>13|8"   			startTime="0" endTime="1" startRot="0 0 0" endRot="0 0 -80" /> 	
 		</animation>        
         <animation name="fuelDisplay">
            <part node="fuelNeedle"  startTime="0.0" endTime="1.0" startRot="0 0 0" endRot="0 0 -75" />
        </animation>
    </animations>

	<wipers>
       
        <wiper animName="wiperFrontAnimation" >
            <state animSpeed="1.0" animPause="2.0" />
        </wiper>
    </wipers>
	
	 <fillUnit>
        <fillUnitConfigurations>
            <fillUnitConfiguration>
                <fillUnits>
                    <fillUnit unit="$l10n_unit_literShort" showOnHud="false" showInShop="false" fillTypes="diesel" capacity="120" >
						<dashboard displayType="ANIMATION" valueType="fillLevel" animName="fuelDisplay"/>
                    </fillUnit>
                    <fillUnit unit="$l10n_unit_literShort" showOnHud="false" showInShop="false" fillTypes="def" capacity="10" />
                </fillUnits>
            </fillUnitConfiguration>
        </fillUnitConfigurations>
    </fillUnit>
	
     <foliageBending>
        <bendingNode minX="-1.3" maxX="1.3" minZ="-1.8" maxZ="2.35" yOffset="0.6" />
    </foliageBending>
	
	<wearable wearDuration="480" workMultiplier="5" fieldMultiplier="2"/>
    <washable dirtDuration="90" washDuration="1" workMultiplier="3" fieldMultiplier="2"/>	
	
    <honk>
        <sound template="HONK_MANITOU" linkNode="mlt737_main_component1" />
    </honk>
	
    <ai>
        <collisionTrigger node="0>7|0"/>
    </ai>
	
<i3dMappings> 
		<i3dMapping id="mlt737_main_component1" node="0>" />
		<i3dMapping id="axisFrontLeft" node="0>0|0" />
        <i3dMapping id="wheelFrontLeft" node="0>0|0|0" />       
        <i3dMapping id="axisFrontRight" node="0>0|1" />
        <i3dMapping id="wheelFrontRight" node="0>0|1|0" /> 
		<i3dMapping id="axisBackLeft" node="0>0|2" />
        <i3dMapping id="wheelBackLeft" node="0>0|2|0" />
		<i3dMapping id="axisBackRight" node="0>0|3" />
        <i3dMapping id="wheelBackRight" node="0>0|3|0" />	
		
		<i3dMapping id="electricSocket" node="0>5|1|0" />
        <i3dMapping id="hydraulicSocket01" node="0>5|1|1" />
        <i3dMapping id="hydraulicSocket02" node="0>5|1|2" />       
		
		<i3dMapping id="TurnlightLeftRearStatic" node="0>0|2|1|3|0" />
		<i3dMapping id="TurnlightRightRearStatic" node="0>0|3|1|3|0" />
		<i3dMapping id="TurnlightLeftFrontStatic" node="0>15|1|3|0|1" />
		<i3dMapping id="TurnlightRightFrontStatic" node="0>15|1|2|0|1" />
		<i3dMapping id="BrakeLightLeftRearStatic" node="0>0|2|1|3|2" />		
		<i3dMapping id="BrakeLightRightRearStatic" node="0>0|3|1|3|2" />
		<i3dMapping id="RearLightLeftStatic" node="0>0|2|1|3|1" />		
		<i3dMapping id="RearLightRightStatic" node="0>0|3|1|3|1" />
		
		<i3dMapping id="worklightRearStatic" node="0>15|1|4|0|1" />
		<i3dMapping id="worklightRearStatic2" node="0>15|1|5|0|1" />
		<i3dMapping id="worklightFrontStatic" node="0>9|0|1|1|0|1" />
		<i3dMapping id="worklightFrontStatic2" node="0>9|0|1|0|0|1" />		
		<i3dMapping id="frontlightStatic" node="0>15|1|2|0|0" />
		<i3dMapping id="frontlightStatic2" node="0>15|1|3|0|0" />
		<i3dMapping id="frontLightLow" node="0>15|2|0" />
        <i3dMapping id="highBeamLow" node="0>15|2|1" />
        <i3dMapping id="frontLightHigh" node="0>15|2|2" />
        <i3dMapping id="highBeamHigh" node="0>15|2|3" />
        <i3dMapping id="workLightBackHigh1" node="0>15|3|0" />
        <i3dMapping id="workLightFrontHigh1" node="0>15|3|1" />
		<i3dMapping id="workLightFrontHigh1Bras" node="0>9|0|1|2" />
        <i3dMapping id="workLightFrontLow" node="0>15|3|2" />
        <i3dMapping id="workLightBackLow" node="0>15|3|3" />
        <i3dMapping id="backLightsHigh1" node="0>0|2|1|4|0" />
		<i3dMapping id="backLightsHigh2" node="0>0|3|1|4|0" />
		<i3dMapping id="turnLightLeftFront" node="0>15|2|4" />
		<i3dMapping id="turnLightLeftBack" node="0>0|2|1|4|1" />
		<i3dMapping id="turnLightRightFront" node="0>15|2|5" />
		<i3dMapping id="turnLightRightBack" node="0>0|3|1|4|1" />
		
		<i3dMapping id="Porte" node="0>13|18" />		
		<i3dMapping id="frontloaderJoystick" node="0>13|27" />
		<i3dMapping id="player_rightFoot" node="0>6|1" />
		<i3dMapping id="gasPedal" node="0>13|25" />
		<i3dMapping id="playerRightFootTargetGas" node="0>13|25|1" />
		<i3dMapping id="player_LeftFoot" node="0>6|2" />
        <i3dMapping id="brakePedal" node="0>13|26" />
		<i3dMapping id="playerLeftFootTargetBrake" node="0>13|26|1" />
		<i3dMapping id="seat" node="0>13|21" />
		
		<i3dMapping id="VitreAR" node="0>13|30" />
		<i3dMapping id="RefAxeSurLame" node="0>13|30|2" />
		<i3dMapping id="EnssembleBielleLame" node="0>13|31" />
		<i3dMapping id="BielletteLame" node="0>13|31|0" />
		<i3dMapping id="RefAxeBiellettePourLame" node="0>13|31|0|0" />
		
		<i3dMapping id="fuelNeedle" node="0>10|0|0" />
		<i3dMapping id="numbersSpeed" node="0>10|1" />
</i3dMappings>
</vehicle>
